<?php
defined("ABSPATH") || exit();

class SuperbInfoContentConfig
{
    const THEME_LINK = 'https://superbthemes.com/draftly/';
    const DEMO_LINK = 'https://superbthemes.com/demo/draftly/';

    private $FEATURES = array();

    public function __construct()
    {
        $this->AddFeature(__("Customize Header Logo, Text & Background Color", "draftly"), "purple-paint-brush.svg");
        $this->AddFeature(__("Translation Ready", "draftly"), "purple-article-medium.svg");
        $this->AddFeature(__("Fully SEO Optimized", "draftly"), "purple-gauge.svg");
        $this->AddFeature(__("Customize All Fonts", "draftly"), "purple-article-medium.svg");
        $this->AddFeature(__("Customize All Colors", "draftly"), "purple-paint-brush.svg");
        $this->AddFeature(__("Importable Demo Content", "draftly"), "purple-images.svg");
        $this->AddFeature(__("Elementor Compatible", "draftly"), "purple-elementor-logo.svg");
        $this->AddFeature(__("Replace Copyright Text", "draftly"), "purple-copyright.svg");
        $this->AddFeature(__("Full-Width Page Template", "draftly"), "purple-frame-corners.svg");
        $this->AddFeature(__("Access All Child Themes", "draftly"), "purple-images.svg");
        $this->AddFeature(__("Customer Support and Documentation", "draftly"), "purple-files.svg");
        $this->AddFeature(__("Multiple Website Support", "draftly"), "purple-files.svg");

        $this->AddFeature(__("Custom Link On Header Image", "draftly"), "gear.svg");
        $this->AddFeature(__("Custom Text On Header Image", "draftly"), "gear.svg");
        $this->AddFeature(__("Only Show Header Image On Front Page", "draftly"), "gear.svg");
        $this->AddFeature(__("Show Header Everywhere", "draftly"), "gear.svg");
        $this->AddFeature(__("Hide Sidebar On Posts/Pages", "draftly"), "gear.svg");

        $this->AddFeature(__("Remove 'Tag' from Tag Page Title", "draftly"), "purple-article-medium.svg");
        $this->AddFeature(__("Remove 'Author' from Author Page Title", "draftly"), "purple-article-medium.svg");
        $this->AddFeature(__("Remove 'Category' from Category Page Title", "draftly"), "purple-article-medium.svg");
    }

    private function AddFeature($title, $icon)
    {
        $this->FEATURES[] = array(
            "title" => $title,
            "icon" => $icon
        );
    }

    public function GetFeatures()
    {
        return $this->FEATURES;
    }
}
